package com.ssj.bean.kmt.kmt.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

@Entity
@Table(name = "kmt_course_know")
public class KmtCourseKnow  extends BaseEntity {

	/**
	 * 2222
	 */
	private static final long serialVersionUID = 1L;
	
	private String teacherId;
	
	private String courseName;
	
	private String teachingType;
	
	private String title;
	
	private String target;
	
	private String nodus;
	
	private String level;
	
	private String gain;
	
	private Integer diffi;
	
	private String hard;
	
	private String easy;
	
	private Date createTime;

	private Integer classLine; //课堂纪律评星
	
	private Integer studyActive; //学习主动性评星
	
	private String teacherSay; //老师评语
	
	private Date feedbackTime;//反馈时间
	
	private Integer parentJudgeLever; //家长评价评星
	
	private String judgeLable; //评价标签
	
	private Date judgeTime; //家长评价时间
	
	
	public String getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getTeachingType() {
		return teachingType;
	}

	public void setTeachingType(String teachingType) {
		this.teachingType = teachingType;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getTarget() {
		return target;
	}

	public void setTarget(String target) {
		this.target = target;
	}

	public String getNodus() {
		return nodus;
	}

	public void setNodus(String nodus) {
		this.nodus = nodus;
	}

	public String getLevel() {
		return level;
	}

	public void setLevel(String level) {
		this.level = level;
	}

	public String getGain() {
		return gain;
	}

	public void setGain(String gain) {
		this.gain = gain;
	}

	public Integer getDiffi() {
		return diffi;
	}

	public void setDiffi(Integer diffi) {
		this.diffi = diffi;
	}

	public String getHard() {
		return hard;
	}

	public void setHard(String hard) {
		this.hard = hard;
	}

	public String getEasy() {
		return easy;
	}

	public void setEasy(String easy) {
		this.easy = easy;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getClassLine() {
		return classLine;
	}

	public void setClassLine(Integer classLine) {
		this.classLine = classLine;
	}

	public Integer getStudyActive() {
		return studyActive;
	}

	public void setStudyActive(Integer studyActive) {
		this.studyActive = studyActive;
	}

	public String getTeacherSay() {
		return teacherSay;
	}

	public void setTeacherSay(String teacherSay) {
		this.teacherSay = teacherSay;
	}

	public Date getFeedbackTime() {
		return feedbackTime;
	}

	public void setFeedbackTime(Date feedbackTime) {
		this.feedbackTime = feedbackTime;
	}

	public Integer getParentJudgeLever() {
		return parentJudgeLever;
	}

	public void setParentJudgeLever(Integer parentJudgeLever) {
		this.parentJudgeLever = parentJudgeLever;
	}

	public String getJudgeLable() {
		return judgeLable;
	}

	public void setJudgeLable(String judgeLable) {
		this.judgeLable = judgeLable;
	}

	public Date getJudgeTime() {
		return judgeTime;
	}

	public void setJudgeTime(Date judgeTime) {
		this.judgeTime = judgeTime;
	}
	
	
}
